Gdebi + Ubuntu - Erro: FutureWarning: Possible nested set at position 1 [Resolvido]

Publicado por Edson Donizete do Amaral em 13/01/2022

[ Hits: 614 ]

 


Gdebi + Ubuntu - Erro: FutureWarning: Possible nested set at position 1 [Resolvido]



Ao usar gdebi recentemente no Ubuntu (20.04), aparece o seguinte aviso de erro:

/usr/bin/gdebi:113: FutureWarning: Possible nested set at position 1 c = findall("[[(](\S+)/\S+[])]", msg)[0].lower()

Isso não impede a execução do gdebi, mas, se quiser consertar o erro apresentado basta editar o arquivo /usr/bin/gdebi e fazer a seguinte mudança:

Troque:

c = findall("[[(](\S+)/\S+[])]", msg)[0].lower()

Por:

c = findall("\[(\S+)/\S+\]", msg)[0].lower()

Isso resolverá o problema.

Fonte: problem with gdebi (SolydX, ee) [SOLVED] - SolydXK Community Forums
Acesso: 25/04/2020 - 08:28 hs
Re: Community ISO maintenance and build issues - 2
Postby Arjen Balfoort - 22 May 2019 21:38

Outras dicas deste autor

Instalar a última versão do LibreOffice no Ubuntu 20.04 LTS

Instalar a última versão do LibreOffice no Fedora 32

Leitura recomendada

Rodando aplicações MS no SuSE

Como instalar plugin para programar em C no NetBeans

Gerenciando seu cybercafé (parte 2)

Escutando rádios online para Media Player no Linux

Recuperando base de dados do RPM

  

Comentários
[1] Comentário enviado por mauricio123 em 25/01/2022 - 21:58h


Bacana a dica.

___________________________________________________________
Conhecimento não se Leva para o Túmulo.
https://github.com/mxnt10



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts